import { SeriesViewerManipulationEventArgs as SeriesViewerManipulationEventArgs_internal } from "./SeriesViewerManipulationEventArgs";
export declare class IgrSeriesViewerManipulationEventArgs {
    protected createImplementation(): SeriesViewerManipulationEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: SeriesViewerManipulationEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    isZoomPan: boolean;
    isDragZoom: boolean;
}
